<?php include('casa/setup.casa.php');
include('inc_scripts.php');
$title = 'Resumen ventas del dia';
$fecha = DataForms::GET('id');
echo "<title>".AppName.' - '.$title."</title>";
//$SucCodigo = SucursalUsuario($USID,);
$sql = "SELECT MAX(asis_id) AS mx,asis_tipo FROM rol_usuarios_asistencia
	WHERE us_id = '$USID'
  	AND asis_tipo = 'inicio';";

	$db = new DB();
	$db->dbSQL($sql);
	$db->next();
    $id = $db->dbField('mx');
	$sql2 = "SELECT * FROM rol_usuarios_asistencia
	WHERE asis_id = '$id';";
	$db->dbSQL($sql2);
	$db->next();
    $codigo_universal = $db->dbField('asis_codigo');

//leer nota 
	$sql2 = "SELECT * FROM rol_usuarios_asistencia
	WHERE asis_fecha = '$fecha'
	AND us_id = '$USID'
	AND asis_tipo = 'inicio';";
	$db= new DB();
	$db->dbSQL($sql2);
	$db->next();
	$asis_detalle = utf8_encode($db->dbField('asis_detalle'));
	$codigo_caja = $db->dbField('asis_codigo');
	$asis_fecha = $db->dbField('asis_fecha');
	$asis_hora = $db->dbField('asis_hora');
	$asis_cantreal = $db->dbField('asis_cantreal');
	
function SucursalUsuario($us_codigo, $tipo){
  $Usuario = new DB();
  $sqlUsuario = "SELECT * FROM rol_usuarios
  WHERE us_id = '$us_codigo';";
  $Usuario->dbSQL($sqlUsuario);
  $Usuario->next();
  $codsucursal = $Usuario->dbField('ubica_codigo');
  $nombres = utf8_encode($Usuario->dbField('us_nombres'));
  $apellidos = utf8_encode($Usuario->dbField('us_apellidos'));
  $usuario_cajero = $nombres.' '.$apellidos;
  $us_user = utf8_encode($Usuario->dbField('us_user'));

  $sql = "SELECT * FROM inventarios_ubicaciones
  WHERE ubica_codigo = '$codsucursal';";
  $Usuario->dbSQL($sql);
  $Usuario->next();
  $sucursal = $Usuario->dbField('ubica_nombre');

  switch($tipo){	
	case 'cajero': 
		$valor = $usuario_cajero; break;
	case 'usuario': 
		$valor = $us_user; break;
	case 'sucursal': 
		$valor = $sucursal; break;
  }

  return $valor;
}

function CajaDatos($codigo,$fecha){
   $sql = "SELECT * FROM rol_usuarios_asistencia
   WHERE us_id = '$codigo'
   AND asis_fecha = '$fecha';";
   $db=new DB();
   $db->dbSQL($sql);
   $db->next();

   $asis_hora = $db->dbField('asis_hora');

   return $asis_hora;
}

function DetallesVenta($ven_codigo,$tipo){
	$sql = "SELECT * FROM ventas_productos p, inventarios_clientes c
	WHERE p.ven_codigo = '$ven_codigo'
	AND p.clie_codigo = c.clie_codigo;";
	$db = new DB();
	$db->dbSQL($sql);
	$html='';
	$SumaVenta = 0;
	while($db->next()){
		//productos
		$ven_numerolista = $db->dbField('ven_numerolista');
		$ven_tipo = $db->dbField('ven_tipo');
		$ven_cantidad = $db->dbField('ven_cantidad');
		$ven_precio = $db->dbField('ven_precio');
		//clientes
		$clie_nombres = $db->dbField('clie_nombres');
		$clie_apellidos = $db->dbField('clie_apellidos');
		$clie_descuento = $db->dbField('clie_descuento');
		$cliente_datos = $clie_nombres.' '.$clie_apellidos;

		$SumaVenta = $SumaVenta + $ven_precio;	
	}
	
$descuentos = $SumaVenta*($clie_descuento/100);
	$SumaVenta = $SumaVenta - $descuentos;
	$html.='<tr>';										
		$html.='<td align=center>'.$ven_numerolista.'</td>';				
		$html.='<td align=center>'.$cliente_datos.'</td>';				
		$html.='<td align=center>$u$:'.number_format(($SumaVenta/Dollar()),2).'<br>
		Bs.:'.number_format(($SumaVenta),2).'</td>';$html.='</tr>';	

		switch($tipo){
			case 'normal' : $valor = $html; break;
			case 'sumatoria' : $valor = $SumaVenta; break;
		}

	return $valor;
}
function DatosAperturaCaja($fecha,$USID){
	$sql = "SELECT * FROM rol_usuarios_asistencia
	WHERE us_id = '$USID'
	AND asis_tipo = 'inicio'
	AND asis_fecha = '$fecha';";

	$db = new DB();
	$db->dbSQL($sql);
	$sumaApertura = 0;

	while($db->next()){
		$asis_apertura = $db->dbField('asis_apertura');
	
		$codigo_caja = $db->dbField('asis_codigo');
		$asis_apertura = $db->dbField('asis_apertura');
		$asis_fecha = $db->dbField('asis_fecha');
		$asis_hora = $db->dbField('asis_hora');

		$sumaApertura = $sumaApertura + $asis_apertura;
	}

	return $sumaApertura;
}
?>
<style>
th{background:#156E10;
color:white;
text-transform:uppercase;}	
</style>
</head>
<body>
	<div class="wrapper">		
	<?php include('inc_menu-cajacerrar.php');?>
	<div class="row">						
						<div class="col-md-12">
							<div class="card">
								<div class="card-header">
									<div class="d-flex" style="text-align:center;">
																			
																																																
									</div>
								</div>
								
								<div class="card-body">		
								<h1 align=center><u><b><?php echo strtoupper($title); ?></b></u></h1>
								<h1>
										<br>
										<?php echo '<b>SUCURSAL:</b> '.SucursalUsuario($USID,'sucursal').' <br>
										<b>USUARIO:</b>	'.SucursalUsuario($USID,'usuario').'<br>
										<b>NOMBRE:</b> '.SucursalUsuario($USID,'cajero').'<br>
										<b>FECHA:</b> '.$fecha.'<br>
										<b>HORA DE APERTURA DE CAJA: </b> '.CajaDatos($USID,$fecha).'<br>
										<b>HORA DE CIERRE DE CAJA: </b> <span id="HHcierre"></span>'; 
										?></h1>	
										<input type="hidden" id="txtHHcierre">																
									<div class="table-responsive">	
									<table class="display table table-striped" >
											<thead>
												<tr>																
													<th style="text-align:center">nro. pedido</th>												
													<th style="text-align:center">nombre cliente</th>
													<th style="text-align:center">monto</th>
												</tr>
											</thead>											
											<tbody>									
									<?php
									$Ventas = new DB();

									$sql = "SELECT * FROM ventas_cajeros c
									WHERE c.cajeros_usid = '$USID'
									AND c.ent_fechaentrega LIKE('".$fecha."%')
									AND c.caja_codigo ='$codigo_universal';";
									
									$Ventas->dbSQL($sql);
									$html='';
									$i=0;
									$SumaVenta = 0;
									while($Ventas->next()){
										$i++;
										$ven_codigo = $Ventas->dbField('ven_codigo'); 
										$html .= DetallesVenta($ven_codigo,'normal');
										$SumaVenta += DetallesVenta($ven_codigo,'sumatoria');
									}
									$html.='<tr>';										
										$html.='<th colspan=2 style="text-align:right">SUBTOTAL</th>';		
										$html.='<th style="text-align:center">$u$:'.number_format(($SumaVenta/Dollar()),2).'<br>
										Bs.:'.number_format($SumaVenta,2).'</th>';							
										$html.='</tr>';	
										
									echo $html;
									?>	
									<tr><th colspan=3 style="text-align:center">GASTOS MENORES</th></tr>
									<?php
											$sql = "SELECT * FROM inventarios_cajachica 
											WHERE caja_fecha LIKE '".$fecha."%'
											AND us_codigo = '$USID'
											AND caja_codigo2 = '$codigo_universal';";	
											$db= new DB();
											$db->dbSQL($sql);
											$html='';
											$i=0;
											$sumaGastos=0;
											while($db->next()){						
											$i++;																																								
												$caja_detalle = $db->dbField('caja_detalle');
												$caja_importe = $db->dbField('caja_importe');
												$caja_fecha	 = $db->dbField('caja_fecha');

												$sumaGastos = $sumaGastos + $caja_importe; 
												$html.='<tr>';
													$html.='<td align=center>'.$i.'</td>';
													$html.='<td align=center>'.$caja_detalle.'</td>';
													$html.='<td align=center>$u$:'.number_format(($caja_importe/Dollar()),2).'<br>
													Bs.:'.number_format($caja_importe,2).'</td>';
												$html.='</tr>';											
												
											}//wend() 
											$html.='<tr>
											<th colspan=2 style="text-align:right">SUBTOTAL</th>
											<th style="text-align:center">$u$:'.number_format(($sumaGastos/Dollar()),2).'<br>
											Bs.:'.number_format($sumaGastos,2).'</th></tr>';
											$MontoCajaApertura = DatosAperturaCaja($fecha,$USID);
											$html.='<tr>';
													$html.='<td colspan=2 align=center>MONTO APERTURA CAJA</td>';
													$html.='<td align=center>$u$:'.number_format(($MontoCajaApertura/Dollar()),2).'<br>
													Bs.:'.number_format($MontoCajaApertura,2).'</td>';
												$html.='</tr>';	

												$totalresumen = $SumaVenta-$sumaGastos+$MontoCajaApertura;

												$html.='<tr>
												<th colspan=2 style="text-align:right"><h3>TOTAL RESUMEN DEL DIA</h3></th>
												<th style="text-align:center"><h3>$u$:'.number_format(($totalresumen/Dollar()),2).'</h3>
												<h3>Bs.:'.number_format($totalresumen,2).'</h3></th></tr>';
												echo $html;
											echo $html;
											?>	
											<tr><input type="hidden" id="txtFecha">
											<th colspan=2 style="text-align:right"><h3>MONTO REAL EN CAJA</h3></th>
											<th style="text-align:center"><div id="txtCantidadReal"><h3><?php echo number_format($asis_cantreal,2); ?></h3></div></th></tr>								
									</tbody>																								
									</table>

									<table width='100%'>
										<tr><td colspan=2>
											<div class="form-group form-group-default">
												<label>Nota al Cierre de Caja:</label>
												<div id="txtNotas" cols="10" rows="4"><?php echo $asis_detalle; ?></div> <br>												
											</div>
											</td></tr>
										<tr><td></td><td>&nbsp;</td></tr>
										<tr><td></td><td>&nbsp;</td></tr>
										<tr><td></td><td>&nbsp;</td></tr>
										<tr>
											<td align=center><b>FIRMA CAJERO</b></td>
											<td align=center><b>FIRMA JEFE A CARGO</b></td>
										</tr>
										<tr><td></td><td>
											<input type="button" class="btn btn-default" id="btnCerraCaja" value="CERRAR CAJA">
										</td></tr>
										
									</table>
									
									</div>
								
							</div>
						</div>
					</div>
				</div>	
		<?php include('inc_pie.php');?>
		<div id="logout"></div>
	</div>
</body>
</html>
<script>
$(document).ready(function(){
	var tiempo = new Date();
	//fecha
    var mes =(tiempo.getMonth()+1);
        if(mes<10) mes = '0'+mes;
    var dia =tiempo.getDate();
        if(dia<10) dia='0'+dia;
    var ano = tiempo.getFullYear();
    var fecha = ano+'-'+mes+'-'+dia;
	//hora
    let hh = tiempo.getHours();
        if(hh<10) hh = '0'+hh;
    let mm = tiempo.getMinutes();
        if(mm<10) mm = '0'+mm;
    let ss = tiempo.getSeconds();
        if(ss<10) ss = '0'+ss;
    let hora = hh+':'+mm+':'+ss;

	$('#HHcierre').html(hora);
	$('#txtFecha').val(fecha);
	$('#txtHHcierre').val(hora);
	window.print();
});

$('#btnCerraCaja').click(function(){
	
	$.post('<?php echo PATH_HOME.'index-logout2.php'; ?>',{
	  'txtFecha': $('#txtFecha').val(),
	  'txtHora': $('#txtHHcierre').val(),	 
	  'coder': '<?php echo md5(uniqid()); ?>'
	},function(data){
	  $('#logout').html(data);
	});
  
  });
</script>